Subject: Re: bug#69168: [BUG] 30.0.50; pp-emacs-lisp-code produces invalid elisp for backquoted forms

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Mar 2024 10:49:15 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,
>   [email-masked],  [email-masked]
> Date: Thu, 29 Feb 2024 03:30:12 +0100
> 
> Michael Heerdegen <[email-masked]> writes:
> 
> > One from me: I'm working on a second patch for pp that will make
> > printing of backquote forms using the nicer `X syntax.
> 
> Here is the additional patch.  No Wayman, maybe you can try if it gives
> good results?
> 
> This change seems quite straightforward, and I tried to avoid to make
> the code less efficient.  For me, it seems to give good results.
> Please (Eli), if names and comments are bad English, please feel free to
> suggest a better wording.

LGTM, with one minor nit:

> +                              (not (consp l)) ; SEXP is a dotted list
> +                              ;; Is SEXP is of a form like (ELT... . ,X) ?

The "Is SEXP is" part seems to have one "is" too many...

I suggest

  Does SEXP have a form like (ELT... . ,X) ?

Thanks.